GRUB-PROTECT(1)

BEZEICHNUNG
grub-protect - Einen Plattenschlüssel mit einem Schlüsselschutz schützen

ÜBERSICHT
grub-protect [OPTION…]

BESCHREIBUNG
grub-protect hilft einen Plattenverschlüsselungsschlüssel mit einem bestimmten Schlüsselschutz zu schützen.

Schützt einen Klartextschlüssel mittels eines GRUB-Schlüsselschutzes, der den Schlüssel während des Systemstarts zurückgewinnen kann, um automatisch vollständig verschlüsselte Platten zu entschlüsseln.

-a, --action=add|remove
    fügt einen Schlüsselschutz zu einem Schlüssel hinzu oder entfernt ihn.

-p, --protector=tpm2
    setzt den zu verwendenden Schlüsselschutz (derzeit wird nur tpm2 unterstützt).

--tpm2-asymmetric=TYPE setzt den Typ des SRK: RSA (RSA2048) und ECC
    (ECC_NIST_P256).(Vorgabe: ECC)

--tpm2-bank=ALG
    setzt die Bank der PCRs, die zur Autorisierung der Schlüsselfreigabe verwendet wird: SHA1, SHA256, SHA384 oder SHA512. (Vorgabe: SHA256)

--tpm2-device=DATEI
    setzt den Pfad zum TPM2-Gerät. (Vorgabe: /dev/tpm0)

--tpm2-evict
    Wirft einen vorher dauerhaften SRK aus dem TPM, falls vorhanden.

--tpm2-keyfile=DATEI
    setzt den Pfad zu einer Datei, die den zu schützenden Klartextschlüssel enthält.

--tpm2-nvindex=NUM
    Speichert den versiegelten Schlüssel in einem dauerhaften oder NV-Index-Handler.

--tpm2-outfile=DATEI
    setzt den Pfad zu der Datei, die den Schlüssel nach dem Versiegeln enthalten wird (und für GRUB während des Systemstarts zugreifbar sein muss).

--tpm2-pcrs=0[,1]…
    setzt eine Kommata-getrennte Liste von PCRs, die zur Autorisierung der Schlüsselfreigabe verwandt werden, z.B. »7,11«. Bitte berücksichtigen Sie, dass PCR 0~7 von der Firmware verwandt werden und sich die Messergebnisse nach einer Firmware-Aktualisierung (auf Systemen, die direkt auf der Hardware laufen) oder einer Paketaktualisierung (OVMF/SLOF) auf dem VM-Wirt ändern können. Dies kann zum Fehlschlagen der Schlüsselentsiegelung führen. (Vorgabe: 7)

--tpm2-srk=NUM
    setzt den SRK-Handler, falls der SRK dauerhaft werden soll.

--tpm2key
    verwendet das TPM-2.0-Schlüsseldateiformat.

-?, --help
    gibt eine kurze Hilfe aus.

--usage
    gibt eine kurze Meldung zur Verwendung aus.

-V, --version
    gibt die Programmversion aus.

Erforderliche oder optionale Argumente für lange Optionen sind ebenso erforderlich bzw. optional für die entsprechenden Kurzoptionen.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-grub@gnu.org.

SIEHE AUCH
Die vollständige Dokumentation für grub-protect wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und grub-protect auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info grub-protect

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.